## Create app `client.flagship.apps.create(AppCreateParamsparams, RequestOptionsoptions?): AppCreateResponse` **post** `/accounts/{account_id}/flagship/apps` Creates an app. The returned `id` is used in all subsequent flag, changelog, and evaluation requests. ### Parameters - `params: AppCreateParams` - `account_id: string` Path param: Cloudflare account ID. - `name: string` Body param ### Returns - `AppCreateResponse` - `id: string` - `created_at: string` - `name: string` - `updated_at: string` - `updated_by: string` Email of the actor who last modified the app, or `edge-gateway` for gateway-authenticated changes. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const app = await client.flagship.apps.create({ account_id: 'account_id', name: 'x' }); console.log(app.id); ``` #### Response ```json { "errors": [ { "message": "message" } ], "messages": [ { "message": "message" } ], "result": { "id": "id", "created_at": "created_at", "name": "name", "updated_at": "updated_at", "updated_by": "updated_by" }, "success": true } ```